libgdamm: Gnome::Gda::Row Class Reference

libgdamm 4.99.9

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Related Functions | List of all members
Gnome::Gda::Row Class Reference
Data Handlers

Row for a Gda::DataModelArray object. More...

Inheritance diagram for Gnome::Gda::Row:
[legend]
Collaboration diagram for Gnome::Gda::Row:
[legend]

## Public Member Functions
virtual | ~Row ()
GdaRow* | gobj ()
| Provides access to the underlying C GObject. More...
const GdaRow* | gobj () const
| Provides access to the underlying C GObject. More...
GdaRow* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
Value | get_value (int num)
| Gets a pointer to a Value stored in a Gda::Row. More...
int | get_length ()
Public Member Functions inherited from Glib::Object
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Glib::ObjectBase
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
void | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void > &slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, const sigc::slot< void > &slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from sigc::trackable
| trackable ()
| trackable (const trackable &src)
| ~trackable ()
void | add_destroy_notify_callback (void *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
void | remove_destroy_notify_callback (void *data) const

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
static Glib::RefPtr< Row > | create (int count)

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gnome::Gda::Row > | wrap (GdaRow* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members
Public Types inherited from Glib::Object
typedef void(* | DestroyNotify) (gpointer data)
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
virtual | ~Object ()
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
virtual | ~ObjectBase ()=0
void | initialize (GObject *castitem)

## Detailed Description

Row for a Gda::DataModelArray object.

The GdaDataModelArray object uses GdaRow to store each row of data. Each GdaRow has the same number of GValue values (equal to the number of columns of the data model).

As a side note, the GdaRow object is also used internally by the implementation of the data models returned when executing a SELECT statement.

## Constructor & Destructor Documentation

virtual Gnome::Gda::Row::~Row | ( |  | ) |
| virtual

## Member Function Documentation

static Glib::RefPtr<Row> Gnome::Gda::Row::create | ( | int | count | ) |
| static

int Gnome::Gda::Row::get_length | ( |  | ) |

Returns
  The number of columns that the row has.

static GType Gnome::Gda::Row::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

Value Gnome::Gda::Row::get_value | ( | int | num | ) |

Gets a pointer to a Value stored in a Gda::Row.

This is a pointer to the internal array of values. Don't try to free or modify it (modifying is reserved to database provider's implementations).

Parameters

  num | Field index.

Returns
  A pointer to the Value in the position num of row.

GdaRow* Gnome::Gda::Row::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

const GdaRow* Gnome::Gda::Row::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

GdaRow* Gnome::Gda::Row::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## Friends And Related Function Documentation

Glib::RefPtr< Gnome::Gda::Row > wrap | ( | GdaRow * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- libgdamm/row.h